// 自动生成模板DataMedComment
package model

type SurveyUser struct {
	Id              int    `gorm:"type:int(255)" json:"id"`
	SurveyId        int    `gorm:"type:int(255)" json:"survey_id"`
	UserId          int    `gorm:"type:int(255)" json:"user_id"`
	MocId           int    `gorm:"type:int(255)" json:"moc_id"`
	Contacts        string `gorm:"type:string(255)" json:"contacts"`
	ContactsMobile  string `gorm:"type:string(255)" json:"contacts_mobile"`
	Reference       string `gorm:"type:string(255)" json:"reference"`
	ReferenceMobile string `gorm:"type:string(255)" json:"reference_mobile"`
	CreateTime      string `gorm:"type:string(255)" json:"create_time"`
	Country         string `gorm:"type:string(255)" json:"country"`
	Area            string `gorm:"type:string(255)" json:"area"`
	Region          string `gorm:"type:string(255)" json:"region"`
	City            string `gorm:"type:string(255)" json:"city"`
}

type SurveyUserData struct {
	Id           int    `gorm:"type:int(255)" json:"id"`
	SurveyUserId int    `gorm:"type:int(255)" json:"survey_user_id"`
	Option       string `gorm:"type:string(255)" json:"option"`
	OptionValue  string `gorm:"type:string(255)" json:"option_value"`
	OptionNum    int    `gorm:"type:int(255)" json:"option_num"`
	Price        int    `gorm:"type:int(255)" json:"price"`
}

type SurveyLog struct {
	Id         int    `gorm:"type:int(255)" json:"id"`
	UserId     int    `gorm:"type:int(255)" json:"user_id"`
	MocId      int    `gorm:"type:int(255)" json:"moc_id"`
	Page       int    `gorm:"type:int(255)" json:"page"`
	CreateTime string `gorm:"type:string(255)" json:"create_time"`
	Country    string `gorm:"type:string(255)" json:"country"`
	Area       string `gorm:"type:string(255)" json:"area"`
	Region     string `gorm:"type:string(255)" json:"region"`
	City       string `gorm:"type:string(255)" json:"city"`
}
